%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate unic-ucd-normal

Name:           rust-unic-ucd-normal
Version:        0.9.0
Release:    1%{?dist}
Summary:        UNIC — Unicode Character Database — Normalization Properties

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/unic-ucd-normal
Source0:         %{crates_source}
Source1:        https://raw.githubusercontent.com/open-i18n/rust-unic/v%{version}/LICENSE-MIT
Source2:        https://raw.githubusercontent.com/open-i18n/rust-unic/v%{version}/LICENSE-APACHE

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
UNIC — Unicode Character Database — Normalization Properties.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-MIT
%license %{crate_instdir}/LICENSE-APACHE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unic-ucd-category-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unic-ucd-category-devel %{_description}

This package contains library source intended for building other packages which
use the "unic-ucd-category" feature of the "%{crate}" crate.

%files       -n %{name}+unic-ucd-category-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
cp %{SOURCE2} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.0-1
- initial build
